# eric6.Preferences.ConfigurationPages.EditorSpellCheckingPage

Module implementing the Editor Spellchecking configuration page.

### Global Attributes

None

### Classes

EditorSpellCheckingPage | Class implementing the Editor Spellchecking configuration page.

### Functions

create | Module function to create the configuration page.

## EditorSpellCheckingPage

Class implementing the Editor Spellchecking configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorSpellCheckingPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorSpellCheckingPage | Constructor
on_pelButton_clicked | Private method to select the personal exclude list file.
on_pwlButton_clicked | Private method to select the personal word list file.
save | Public slot to save the Editor Search configuration.

### Static Methods

None

#### EditorSpellCheckingPage (Constructor)

EditorSpellCheckingPage()

Constructor

#### EditorSpellCheckingPage.on_pelButton_clicked

on_pelButton_clicked()

Private method to select the personal exclude list file.

#### EditorSpellCheckingPage.on_pwlButton_clicked

on_pwlButton_clicked()

Private method to select the personal word list file.

#### EditorSpellCheckingPage.save

save()

Public slot to save the Editor Search configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up